Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.app
[Groovy] Class AbstractSyntheticMetaMethods

    java.lang.Object
      griffon.app.AbstractSyntheticMetaMethods

    class AbstractSyntheticMetaMethods
    extends Object

Authors:
  Danno Ferrin
  Andres Almiray

Field Summary
`private static String` | `ENHANCED`

Constructor Summary
`AbstractSyntheticMetaMethods()`

Method Summary
`static void` | `enhance(Class klass, Map enhancedMethods)`
`static boolean` | `hasBeenEnhanced(Class klass)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### ENHANCED

    private static final String ENHANCED

Constructor Detail

### AbstractSyntheticMetaMethods

    AbstractSyntheticMetaMethods()

Method Detail

### enhance

    static void enhance(Class klass, Map enhancedMethods)

### hasBeenEnhanced

    static boolean hasBeenEnhanced(Class klass)

Groovy Documentation